Subject: [IDMEF] IESG Comments section 7

From: Herve Debar <[email-masked]>
Date: Thu, 08 Jan 2004 15:01:47 +0100

>ection 7 examples:
 >>
 >> Section 2.2.1 claims that IDMEF elements will be in an XML namespace,
 >> but the examples given have no namespace declaration, so the elements
 >> used there are not namespace qualified.
 >>
 >> I think the use of a namespace is correct.  A simple fix is to use a
 >> default namespace declaration in the examples, e.g.:
 >>
 >>    <IDMEF-Message version="1.0" xmlns="????">
 >>      :
 >>    </IDMEF-Message>

I'll fix these that way in the doc, unless there are objections. 
Should I use the definition in section 8, "urn:iana:xml:ns:idmef" ?

Hervé
-- 
Hervé Debar             <mailto:[email-masked]>
Tel: +33 (0)2 31 75 92 61            GSM: +33 (0)6 74 09 09 66
France Télécom R&D                   Fax: +33 (0)2 31 75 93 13
42 rue des Coutures  (--)  BP 6243  (--)  F-14066 Caen Cedex 4

---

From: "David A. Curry" <[email-masked]>
Date: Sun, 11 Jan 2004 10:59:05 -0500

>>>>> On Thu, 8 Jan 2004, Herve Debar, identified as "Herve" below, wrote:

  +> > Section 2.2.1 claims that IDMEF elements will be in an XML namespace,
  +> > but the examples given have no namespace declaration, so the elements
  +> > used there are not namespace qualified.
  +> > I think the use of a namespace is correct.  A simple fix is to use a
  +> > default namespace declaration in the examples, e.g.:
  +> > <IDMEF-Message version="1.0" xmlns="????"> : </IDMEF-Message>

  Herve> I'll fix these that way in the doc, unless there are objections.
  Herve> Should I use the definition in section 8, "urn:iana:xml:ns:idmef" ?

Again, I think it's implicitly there, by use of attributes in the DTD.  But
(a) I could be wrong, and (b) it ought to be more obvious.  The schmea cleans
this up a bit too, I believe.

I don't know what the value should be; the one that's there is one that I
basically made up.

--Dave